OpenJPEG: opj_tcd Struct Reference

OpenJPEG 2.3.1

Data Fields
opj_tcd Struct Reference

Tile coder/decoder. More...

`#include <tcd.h>`

## Data Fields
OPJ_INT32 | tp_pos
| Position of the tilepart flag in Progression order. More...
OPJ_UINT32 | tp_num
| Tile part number. More...
OPJ_UINT32 | cur_tp_num
| Current tile part number. More...
OPJ_UINT32 | cur_totnum_tp
| Total number of tileparts of the current tile. More...
OPJ_UINT32 | cur_pino
| Current Packet iterator number. More...
opj_tcd_image_t * | tcd_image
| info on each image tile More...
opj_image_t * | image
| image header More...
opj_cp_t * | cp
| coding parameters More...
opj_tcp_t * | tcp
| coding/decoding parameters common to all tiles More...
OPJ_UINT32 | tcd_tileno
| current encoded/decoded tile More...
OPJ_BITFIELD | m_is_decoder: 1
| tell if the tcd is a decoder. More...
opj_thread_pool_t * | thread_pool
| Thread pool. More...
OPJ_UINT32 | win_x0
| Coordinates of the window of interest, in grid reference space. More...
OPJ_UINT32 | win_y0
OPJ_UINT32 | win_x1
OPJ_UINT32 | win_y1
OPJ_BOOL | whole_tile_decoding
| Only valid for decoding. More...
OPJ_BOOL * | used_component

## Detailed Description

Tile coder/decoder.

## Field Documentation

## ◆ cp

opj_cp_t* opj_tcd::cp

coding parameters

Referenced by opj_tcd_decode_tile(), opj_tcd_encode_tile(), opj_tcd_init(), opj_tcd_init_tile(), opj_tcd_makelayer_fixed(), opj_tcd_rate_allocate_encode(), opj_tcd_rateallocate(), opj_tcd_t2_decode(), and opj_tcd_t2_encode().

## ◆ cur_pino

OPJ_UINT32 opj_tcd::cur_pino

Current Packet iterator number.

Referenced by opj_j2k_write_all_tile_parts(), opj_j2k_write_first_tile_part(), opj_tcd_rateallocate(), and opj_tcd_t2_encode().

## ◆ cur_totnum_tp

OPJ_UINT32 opj_tcd::cur_totnum_tp

Total number of tileparts of the current tile.

Referenced by opj_j2k_pre_write_tile().

## ◆ cur_tp_num

OPJ_UINT32 opj_tcd::cur_tp_num

Current tile part number.

Referenced by opj_j2k_write_sod(), opj_tcd_encode_tile(), and opj_tcd_rateallocate().

## ◆ image

opj_image_t* opj_tcd::image

image header

Referenced by main(), opj_j2k_decode_tiles(), opj_j2k_encode(), opj_j2k_get_tile_data(), opj_j2k_update_image_data(), opj_j2k_write_tile(), opj_jp2_apply_cdef(), opj_jp2_apply_pclr(), opj_jp2_check_color(), opj_jp2_setup_encoder(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_decode_tile(), opj_tcd_dwt_decode(), opj_tcd_get_decoded_tile_size(), opj_tcd_get_encoded_tile_size(), opj_tcd_init(), opj_tcd_init_tile(), opj_tcd_is_subband_area_of_interest(), opj_tcd_is_whole_tilecomp_decoding(), opj_tcd_makelayer_fixed(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), opj_tcd_rateallocate(), opj_tcd_t1_encode(), opj_tcd_t2_decode(), opj_tcd_t2_encode(), and opj_tcd_update_tile_data().

## ◆ m_is_decoder

OPJ_BITFIELD opj_tcd::m_is_decoder

tell if the tcd is a decoder.

Referenced by opj_tcd_create(), and opj_tcd_free_tile().

## ◆ tcd_image

opj_tcd_image_t* opj_tcd::tcd_image

info on each image tile

Referenced by main(), opj_j2k_decode_tiles(), opj_j2k_encode(), opj_j2k_get_tile_data(), opj_j2k_read_tile_header(), opj_j2k_update_image_data(), opj_j2k_write_sod(), opj_j2k_write_tile(), opj_tcd_copy_tile_data(), opj_tcd_create(), opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_decode_tile(), opj_tcd_destroy(), opj_tcd_dwt_decode(), opj_tcd_dwt_encode(), opj_tcd_encode_tile(), opj_tcd_free_tile(), opj_tcd_get_decoded_tile_size(), opj_tcd_get_encoded_tile_size(), opj_tcd_init(), opj_tcd_init_tile(), opj_tcd_is_subband_area_of_interest(), opj_tcd_is_whole_tilecomp_decoding(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), opj_tcd_rateallocate(), opj_tcd_t1_decode(), opj_tcd_t1_encode(), opj_tcd_t2_decode(), opj_tcd_t2_encode(), and opj_tcd_update_tile_data().

## ◆ tcd_tileno

OPJ_UINT32 opj_tcd::tcd_tileno

current encoded/decoded tile

Referenced by opj_tcd_decode_tile(), opj_tcd_encode_tile(), opj_tcd_rateallocate(), opj_tcd_t2_decode(), and opj_tcd_t2_encode().

## ◆ tcp

opj_tcp_t* opj_tcd::tcp

coding/decoding parameters common to all tiles

Referenced by opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_decode_tile(), opj_tcd_dwt_decode(), opj_tcd_dwt_encode(), opj_tcd_encode_tile(), opj_tcd_is_subband_area_of_interest(), opj_tcd_makelayer_fixed(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), opj_tcd_rateallocate(), opj_tcd_rateallocate_fixed(), opj_tcd_t1_decode(), opj_tcd_t1_encode(), and opj_tcd_t2_encode().

## ◆ thread_pool

opj_thread_pool_t* opj_tcd::thread_pool

Thread pool.

Referenced by main(), opj_dwt_decode(), opj_t1_decode_cblks(), opj_tcd_init(), and opj_tcd_t1_decode().

## ◆ tp_num

OPJ_UINT32 opj_tcd::tp_num

Tile part number.

Referenced by opj_j2k_write_sod(), and opj_tcd_t2_encode().

## ◆ tp_pos

OPJ_INT32 opj_tcd::tp_pos

Position of the tilepart flag in Progression order.

Referenced by opj_tcd_init(), opj_tcd_rateallocate(), and opj_tcd_t2_encode().

## ◆ used_component

OPJ_BOOL* opj_tcd::used_component

Referenced by opj_tcd_dc_level_shift_decode(), opj_tcd_decode_tile(), opj_tcd_destroy(), opj_tcd_dwt_decode(), opj_tcd_mct_decode(), and opj_tcd_t1_decode().

## ◆ whole_tile_decoding

OPJ_BOOL opj_tcd::whole_tile_decoding

Only valid for decoding.

Whether the whole tile is decoded, or just the region in win_x0/win_y0/win_x1/win_y1

Referenced by main(), opj_dwt_decode(), opj_dwt_decode_real(), opj_j2k_update_image_data(), opj_t1_decode_cblks(), opj_tcd_dc_level_shift_decode(), opj_tcd_decode_tile(), opj_tcd_get_decoded_tile_size(), opj_tcd_mct_decode(), and opj_tcd_update_tile_data().

## ◆ win_x0

OPJ_UINT32 opj_tcd::win_x0

Coordinates of the window of interest, in grid reference space.

Referenced by main(), opj_tcd_decode_tile(), opj_tcd_is_subband_area_of_interest(), and opj_tcd_is_whole_tilecomp_decoding().

## ◆ win_x1

OPJ_UINT32 opj_tcd::win_x1

Referenced by main(), opj_tcd_decode_tile(), opj_tcd_is_subband_area_of_interest(), and opj_tcd_is_whole_tilecomp_decoding().

## ◆ win_y0

OPJ_UINT32 opj_tcd::win_y0

Referenced by main(), opj_tcd_decode_tile(), opj_tcd_is_subband_area_of_interest(), and opj_tcd_is_whole_tilecomp_decoding().

## ◆ win_y1

OPJ_UINT32 opj_tcd::win_y1

Referenced by main(), opj_tcd_decode_tile(), opj_tcd_is_subband_area_of_interest(), and opj_tcd_is_whole_tilecomp_decoding().

The documentation for this struct was generated from the following file:

- tcd.h